digiKam Developer Documentation: Digikam::DIO Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Static Public Member Functions | Friends | List of all members
Digikam::DIO Class Reference
Inheritance diagram for Digikam::DIO:

## Signals
void | signalRenameFailed (const QUrl &url)
void | signalRenameFinished ()
void | signalTrashCounters ()
void | signalTrashFinished ()

## Static Public Member Functions
static void | buildCollectionTrashCounters ()
static void | cleanUp ()
static void | copy (const QList< ItemInfo > &infos, const QUrl &dest)
| Copy items to external folder.
static void | copy (const QList< ItemInfo > &infos, PAlbum *const dest)
| Copy items to another album.
static void | copy (const QList< QUrl > &srcList, PAlbum *const dest)
| Copy external files to another album.
static void | copy (const QUrl &src, PAlbum *const dest)
| Copy an external file to another album.
static void | copy (PAlbum *const src, PAlbum *const dest)
| All DIO methods will take care for sidecar files, if they exist.
static void | del (const ItemInfo &info, bool useTrash)
static void | del (const QList< ItemInfo > &infos, bool useTrash)
static void | del (PAlbum *const album, bool useTrash)
static void | emptyTrash (const DTrashItemInfoList &infos)
static int | getTrashCounter (const QString &albumRootPath)
| Trash operations.
static DIO * | instance ()
static bool | itemsUnderProcessing ()
static void | move (const QList< ItemInfo > &infos, PAlbum *const dest)
| Move items to another album.
static void | move (const QList< QUrl > &srcList, PAlbum *const dest)
| Move external files into another album.
static void | move (const QUrl &src, PAlbum *const dest)
| Move external files another album.
static void | move (PAlbum *const src, PAlbum *const dest)
| Move an album into another album.
static void | rename (const QUrl &src, const QString &newName, bool overwrite=false)
| Rename item to new name.
static void | restoreTrash (const DTrashItemInfoList &infos)

## Friends
class | DIOCreator

## Member Function Documentation

## ◆ copy()

void Digikam::DIO::copy | ( | PAlbum *const | src,
|  | PAlbum *const | dest
| ) |  |
| static

Copy an album to another album